/*
	$Id: DBPoolException.hpp 1205 2018-11-22 18:09:31Z john $

	This file is part of the Revelation Foundation Classes.

	The RFC is Copyright (c) 1989 - 1998, Revelation Software Ltd.
	The RFC is Copyright (c) 1998 - 2018, The 4c Company.

	The RFC is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DBPOOLEXCEPTION_HPP__
#define __DBPOOLEXCEPTION_HPP__

#include <librfc/Exception.hpp>

#define DBPE_EMPTY			1
#define DBPE_OPENFAILED	2

#include <librfc/export.h>

BEGIN_RFC_NAMESPACE
class RFC_Export DBPoolException : public Exception
{
public:
	DBPoolException( long lReason ):Exception( "DBPoolException", lReason ){}
	virtual ~DBPoolException(){}
};
END_RFC_NAMESPACE

#endif /* !__DBPOOLEXCEPTION_HPP__ */
