/*
	$Id: Directory.cpp 1205 2018-11-22 18:09:31Z john $

	This file is part of the Revelation Foundation Classes.

	The RFC is Copyright (c) 1989 - 1998, Revelation Software Ltd.
	The RFC is Copyright (c) 1998 - 2018, The 4c Company.

	The RFC is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <librfc/Directory.hpp>

#if defined (LINUX)
	regex_t TAG_RFC_NAMESPACE Directory::_re;
#elif defined (_WINDOWS)
#endif



USE_RFC_NAMESPACE

Directory::Directory()
	: _bOpen( false ),
	_lCount( 0 )
{
}

Directory::~Directory()
{
#if defined (LINUX)
	if( _lCount )
	{
	}
#elif defined (_WINDOWS)
#else
#endif
}

long Directory::open( const String& strPath, const String& strPattern )
{
	long lRtn = 0;

	_strPath = strPath;
	_strPattern = strPattern;

#if defined (LINUX)
	struct dirent **namelist;
	int n;

	if( regcomp( &_re, strPattern, REG_EXTENDED ) )
		return -1;

	n = scandir( _strPath, &namelist, filter, alphasort );
	if( n < 0 )
		return 0;
	else
	{
/*		while( n-- )
		{
			processFile( namelist[n]->d_name );
			free( namelist[n] );
		}*/
	}



#elif defined (_WINDOWS)

#else

#endif




	return lRtn;
}

long Directory::next()
{
	long lRtn = 0;


	return lRtn;
}

String Directory::path() const
{
	return _strPath;
}

String Directory::filename() const
{
	return _strPath;
}

String Directory::pathname() const
{
	return _strPath;
}

long Directory::forEach( long(*fn)( const Directory&, void* ) )
{
	long lRtn = 0;


	return lRtn;
}

long Directory::processThis( const Directory& directory, void* pvContext )
{
	long lRtn = 0;


	return lRtn;
}

#if defined (LINUX)
int Directory::filter( const dirent* pentry )
{
	size_t nmatch = 1;
	regmatch_t pmatch[1];

	if( !regexec( &_re, pentry->d_name, nmatch, pmatch, 0 ) )
		return 1;

	return 0;
}
#endif /* LINUX */
