/*
	$Id: export.h 1210 2018-11-28 15:01:36Z john $

	This file is part of the Revelation Foundation Classes.

	The RFC is Copyright (c) 1989 - 1998, Revelation Software Ltd.
	The RFC is Copyright (c) 1998 - 2018, The 4c Company.

	The RFC is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifdef RFC_Export
#	undef RFC_Export
#endif

#if defined (_WINDOWS)
#	ifdef LIBRFC_EXPORTS
#		define RFC_Export __declspec( dllexport )
#	else
#		define RFC_Export __declspec( dllimport )
#	endif
	#pragma warning (disable: 4251)
#	pragma warning (disable: 4290)
#elif defined (LINUX)
#	define RFC_Export
#	ifdef FALSE
#		undef FALSE
#	endif
#	ifdef TRUE
#		undef TRUE
#	endif
#	define FALSE 0
#	define TRUE !FALSE
#else
#	pragma error No Build Environment defined
#endif

#if defined (WITHOUT_RFC_NAMESPACE)
#	define BEGIN_RFC_NAMESPACE
#	define END_RFC_NAMESPACE
#	define USE_RFC_NAMESPACE
#	define TAG_RFC_NAMESPACE
#	warning Rfc namespace supressed
#else
#	define BEGIN_RFC_NAMESPACE namespace Rfc {
#	define END_RFC_NAMESPACE }
#	define USE_RFC_NAMESPACE using namespace Rfc;
#	define TAG_RFC_NAMESPACE Rfc::
#endif /* WITH_RFC_NAMESPACE */
